Update a status page.
PUT
/status_page/{status_page_id}
const url = 'https://api.siteqwality.com/status_page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"friendly_name":"example","sla_target_percentage":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.siteqwality.com/status_page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "friendly_name": "example", "sla_target_percentage": 1 }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” status_page_id
required
string format: uuid
Status page identifier
Request Body required
Section titled “Request Body required ” Media type application/json
object
friendly_name
required
string
sla_target_percentage
SLA target percentage (e.g. 99.9). Send null to clear.
number | null format: double
Example generated
{ "friendly_name": "example", "sla_target_percentage": 1}Responses
Section titled “ Responses ”Status page updated
Media type application/json
object
id
required
string
account_id
required
string
friendly_name
required
string
created_at
required
string format: date-time
Example generated
{ "id": "example", "account_id": "example", "friendly_name": "example", "created_at": "2026-04-15T12:00:00Z"}Invalid request body
Missing or invalid authentication
Status page not found
Internal server error